## org.eclipse.datatools.connectivity.db.generic
Interface IDBConnectionProfileConstants

All Superinterfaces:
  IDBDriverDefinitionConstants

public interface IDBConnectionProfileConstants
extends IDBDriverDefinitionConstants

Constant definitions for property keys used to identify DB connection profile properties.

Field Summary
`static java.lang.String` `CONNECTION_PROFILE_ID` The connection profile ID for the generic DB connection profile type.
`static java.lang.String` `CONNECTION_PROPERTIES_PROP_ID` Property used to store JDBC connection properties (i.e.
`static java.lang.String` `CONNECTION_PROPERTY_PAGE_ID` The property page ID for the generic DB connection properties.
`static java.lang.String` `SAVE_PASSWORD_PROP_ID` Property used to store the persistence setting for the password.

Fields inherited from interface org.eclipse.datatools.connectivity.db.generic.IDBDriverDefinitionConstants
`DATABASE_CATEGORY_ID, DATABASE_NAME_PROP_ID, DATABASE_VENDOR_PROP_ID, DATABASE_VERSION_PROP_ID, DRIVER_CLASS_PROP_ID, PASSWORD_PROP_ID, PROP_PREFIX, URL_PROP_ID, USERNAME_PROP_ID`

Field Detail

### CONNECTION_PROFILE_ID

    public static final java.lang.String CONNECTION_PROFILE_ID

  The connection profile ID for the generic DB connection profile type.

  See Also:
    Constant Field Values

### CONNECTION_PROPERTY_PAGE_ID

    public static final java.lang.String CONNECTION_PROPERTY_PAGE_ID

  The property page ID for the generic DB connection properties.

  See Also:
    Constant Field Values

### CONNECTION_PROPERTIES_PROP_ID

    public static final java.lang.String CONNECTION_PROPERTIES_PROP_ID

  Property used to store JDBC connection properties (i.e. properties passed as a `Properties` object to `java.sql.Driver.connect()`).

  See Also:
    Constant Field Values

### SAVE_PASSWORD_PROP_ID

    public static final java.lang.String SAVE_PASSWORD_PROP_ID

  Property used to store the persistence setting for the password. A value of true indicates the password will be persisted within the workspace.

  See Also:
    Constant Field Values

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.